MyFaces Core
  1. MyFaces Core
  2. MYFACES-1899

Why RequiredMessage is not supported in SelectMany components?

    Details

    • Type: Bug Bug
    • Status: Closed
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 1.2.4
    • Component/s: JSR-252
    • Labels:
      None

      Description

      All the select many components doesn't support attribute "requiredMessage". Example SelectManyCheckbox.

      <h:selectManyCheckbox value="#

      {ElExpression}

      " required="true" requiredMessage="Value is required">

      For the above component it always shows the myfaces default error message. I had a look into UISelectMany.java seems requiredMessage is not been taken care.

      Please fix the issue, if you have any specific reason for not supporting requiredMessage, do let me know.

      Thanks,
      Venkat

        Activity

          People

          • Assignee:
            Leonardo Uribe
            Reporter:
            Venkat Sadasivam
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development